#ifndef TEffHistogram_H
#define TEffHistogram_H

#include "TNamed.h"
#include "TH1F.h"

class TCollection;

class TEffHistogram: public TNamed
{
public:
    TEffHistogram() : _histo_all(0), _histo_sel(0) { }
    TEffHistogram(const char *name, Int_t nbinsx, Double_t xlow, Double_t xup);
    TEffHistogram(const TEffHistogram& rhs);
    ~TEffHistogram();
    void Draw(Option_t * = 0);
    void Fill(bool selected, double var);
    void Merge(TCollection *list);

    ClassDef(TEffHistogram,1);
private:
    TH1F *_histo_all;
    TH1F *_histo_sel;
};

#endif
